# Class JobExecutionError

### Hierarchy

- Error
  - JobExecutionError

### Constructors

- constructor

### Properties

- errorCode
- errorMessage
- message
- name
- result
- stack
- Error

## Constructors

### constructor

- new JobExecutionError(errorCode: number, errorMessage: string, result: string): JobExecutionError

- - Defined in src/types/JobExecutionError.ts:1

  #### Parameters

  - ##### errorCode: number

  - ##### errorMessage: string

  - ##### result: string

  #### Returns JobExecutionError

## Properties

### errorCode

errorCode: number

- Defined in src/types/JobExecutionError.ts:3

### errorMessage

errorMessage: string

- Defined in src/types/JobExecutionError.ts:4

### message

message: string

Inherited from ComputeJobExecutionError.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:974

### name

name: string

Inherited from ComputeJobExecutionError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### result

result: string

- Defined in src/types/JobExecutionError.ts:5

### Optional stack

stack: undefined | string

Inherited from ComputeJobExecutionError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:984

Generated using TypeDoc